Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.control
Class TransactionSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.AbstractSampler
              org.apache.jmeter.control.TransactionSampler

All Implemented Interfaces:
  Cloneable, Sampler, Serializable, TestElement

public class TransactionSampler
extends AbstractSampler

Transaction Sampler class to measure transaction times (not exposed a a GUI class, as it is only used internally)

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`TransactionSampler()`
`TransactionSampler(TransactionController controller, String name)`

Method Summary
`void` | `addSubSamplerResult(SampleResult res)`
`Sampler` | `getSubSampler()`
`TransactionController` | `getTransactionController()`
`SampleResult` | `getTransactionResult()`
`boolean` | `isTransactionDone()`
`SampleResult` | `sample(Entry e)` One cannot sample the TransactionSampler directly.
`protected void` | `setSubSampler(Sampler subSampler)`
`protected void` | `setTransactionDone()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`addTestElement, canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### TransactionSampler

    public TransactionSampler()

### TransactionSampler

    public TransactionSampler(TransactionController controller,
                              String name)

Method Detail

### sample

    public SampleResult sample(Entry e)

  One cannot sample the TransactionSampler directly.

### getSubSampler

    public Sampler getSubSampler()

### getTransactionResult

    public SampleResult getTransactionResult()

### getTransactionController

    public TransactionController getTransactionController()

### isTransactionDone

    public boolean isTransactionDone()

### addSubSamplerResult

    public void addSubSamplerResult(SampleResult res)

### setTransactionDone

    protected void setTransactionDone()

### setSubSampler

    protected void setSubSampler(Sampler subSampler)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.